> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fluents.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run simulation



## OpenAPI

````yaml /openapi.yml post /v1/simulation/run
openapi: 3.0.0
info:
  title: Fluents Hosted API
  description: |2-

            Fluents' Hosted API helps you automate phone calls in minutes. 🚀

            ## Numbers

            You can buy phone lines and place agents on them.

            ## Calls

            You can start, end, and get information about calls.
            
  version: 1.0.0
  contact:
    name: Support
    url: https://fluents.com
    email: support@fluents.ai
servers:
  - url: https://api.fluents.ai
    description: Production
security:
  - bearer: []
tags: []
paths:
  /v1/simulation/run:
    post:
      operationId: SimulationController_simulateCall
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SimulateCallDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    SimulateCallDto:
      type: object
      properties:
        bot_agent_id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        customer_agent_id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        num_turns:
          type: number
          minimum: 1
          maximum: 50
          example: 10
        context:
          type: object
          example:
            key: value
      required:
        - bot_agent_id
        - customer_agent_id
        - num_turns
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````